voter={};
voter.url=[];
voter.vote=function (obj, item_id, vote, type)
{
	if(voter.url[type] && !$(obj).hasClass('loading'))
	{
		$(obj).addClass('loading');
		$.ajax({
			url:this.url[type],
			type: 'POST',
			dataType: 'json',
			data:{	'item_id':item_id,
					'vote':vote,
					'type':type,
					'token':voter.token,
					'action':'vote'
			},
			success:function(result)
			{
				if(!result.error)
				{
					var voting = $(obj).parent('.voting');
					// выделим отмеченный пункт.
					if(vote===1)
					{
						voting.prop('title','Вы проголосовали положительно.');
					}
					else if(vote===-1)
					{
						voting.prop('title','Вы проголосовали отрицательно.');
					}
					
					voting.children('a').addClass('disabled');
					// обновим кол-во голосов
					score=voting.children('.score');
					score.prop('title', 'Всего '+result.total_votes+': ↑'+result.positive+' и ↓'+result.negative).html(result.vote_result);
					// раскрасим positive / negative
					score.removeClass('btn-success', 'btn-danger', 'btn-default');
					score.addClass((result.vote_result>0)?'btn-success':(result.vote_result<0)?'btn-danger':'btn-default');
				}
				else alert(result.error);
			}
		});
	}
	return false;
};
